# <b># Herbalist</b>

A skill mod that makes dandelion and thistle useful early game, adds a new craftingstation, 3 healing tonics and 6 recovery tonics.

<br/>

![](https://i.ibb.co/njGcM8D/ss1.png)
![](https://i.ibb.co/z7cZVLK/ss2.png)

<br/>

>## ## Installation (manual)

copy `plugins` folder to your `BepInEx` folder.<br/>

<br/>

>## ## Features

- Adds a new skill called Herbalist that you can level up by collecting/harvesting/picking up dandelions and thistles.
- You can also level it up by crafting tonics at the mortar and pestle.
- Makes dandelions and thistle into a herbal medicine that can heal you overtime.
- Adds 3 new healing tonics called MinorHealingTonic, MediumHealingTonic, and LargeHealingTonic that can heal you overtime.
- Adds 6 new recovery tonics called MinorStaminaTonic, MediumStaminaTonic, LargeStaminaTonic, MinorEitrTonic, MediumEitrTonic, and LargeEitrTonic that can help you recover overtime.
- Reduces potions cooldown and increases potions duration base on herbalist skill level. (Supports PotionPlus mod)
- Configurable base heal amount, duration, and intervals for dandelion and thistle.
- Configurable heal bonus factor and duration bonus factor for thistle and dandelion.
- Configurable base heal amount, duration and intervals for all tonics.
- Configurable level requirements for crafting tonics
- Configurable exp gain factor for herbalist skill.
- Heal overtime of dandelion and thistle is scaled by herbalist skill level.
- Uses ServerSync and built-in ConfigWatcher.
- Configurable through config file or [Configuration Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

<br/>

>## ## Changelog
<br/>

v1.1.0
- added a new crafting station for tonics.
- added 3 new healing tonics.
- added 6 new recovery tonics.
- potions cooldown and duration are now scaled by herbalist skill level. (supports potion plus mod)
- rewritten code and updated to the latest bepinex and valheim builds.

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.0.1
- fixed a weird NRE
- updates readme

v1.0.0
- first released

</details>

